in reply to perl -MCPAN -e shell help

It would probably be wise to watch and see what it's doing... but yes, those very (very) old CPANs will install new versions of perl, sometimes without asking. The very best way to deal with this would be to install a newer version of perl (if possible) from a solaris binary repo.

-Paul

Replies are listed 'Best First'.
Re^2: perl -MCPAN -e shell help
by psr473 (Novice) on Dec 23, 2009 at 13:09 UTC

    Thank you Paul

    I don't have the permissions to install the modules, so I asked the another guy who is having the persimissons to install. That is the reason I don't have log what happened while installling.

    Once again Thanks.

    ---Sudhakar

Re^2: perl -MCPAN -e shell help
by gube (Parson) on Dec 24, 2009 at 01:11 UTC
    you can try download from CPAN and install it. So, when you run make test it will show clearly the errors.